return to index

VDKScrolled class <scrolled.h>
Inherits from VDKObjectContainer

This class wraps gtk+ gtkscrolled widget

properties

none

public members

none

methods

- VDKScrolled(VDKForm* owner = NULL,int mode = v_box);

- ~VDKScrolled();

- void Add(VDKObject* obj, int justify = l_justify, int expand = TRUE, int fill = TRUE , int padding = 1);
Add a self-scrollable object to widget
Tip:only first arg is used
- void AddWithViewport(VDKObject* obj);
Add a non-self scrollable object
- void AddWithoutViewport()
Add those self scrolling widgets.

VDKScrolledForm class <scrolledForm.h>
Inherits from VDKForm

Description
This class provides a scrollable form.
**WARNING** This class will be no longer supported into new versions, its use is deprecated

Public members
None

Properties
None

Methods

- VDKScrolledForm(VDKApplication* app, int w, int h, char* title = "",
GtkWindowType display = GTK_WINDOW_TOPLEVEL)
Constructor, makes a scrolled form wich belong to an application object. Usually invoke this constructor to make the application MainForm. Form dimension are fixed with <w> width and <h> height args. Form displays title if arg <title> is?nt empty. Display mode is according to <display> arg that follows usual GTK+ definitions.

- VDKScrolledForm(VDKForm* owner, int w, int h,
gchar* title = "", GtkWindowType display = GTK_WINDOW_TOPLEVEL)
Constructor, makes a form wich belong to another form. Usually invoke this constructor to make a "child" form wich will be "added" to form child list.